Bug 1471708 - F27: event MPM by default
F27: event MPM by default
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luboš Uhliarik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 05:44 EDT by Joe Orton
Modified: 2017-11-28 07:54 EST (History)
7 users (show)

See Also:
Fixed In Version: httpd-2.4.27-3.fc27
Doc Type: Enhancement
Doc Text:
Feature: The httpd package now use the threaded, high-performance "event" MPM by default, rather than "prefork" as in previous releases. In conjunction with this change, the default PHP configuration will use FPM (php-fpm) rather than the in-process interpreter (mod_php). Reason: This change brings Fedora in-line with the recommended defaults of the upstream Apache HTTP Server project, and allows HTTP/2 to be enabled. Result: The server will handle a larger number of client connections with lower memory requirement.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-28 07:54:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rcollet: fedora_requires_release_note?


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2017-07-17 05:44:46 EDT
Description of problem:
Event has been the default MPM upstream for a long time. mod_http2 now requires a threaded MPM.  For F27 we should switch to event by default.

Version-Release number of selected component (if applicable):
httpd-2.4.27-2.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. httpd -V | grep MPM

Actual results:
Server MPM:     prefork

Expected results:
Server MPM:     event
Comment 2 Joe Orton 2017-07-17 06:50:37 EDT
Package: httpd-2.4.27-3.fc27
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=919336
Comment 3 Jan Kurik 2017-08-15 03:03:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 4 Joe Orton 2017-11-28 07:54:32 EST
Now shipping in F27.

Note You need to log in before you can comment on or make changes to this bug.